#version 330

uniform sampler2D fbo_texture;
uniform float offset;
in vec2 f_texcoord;

out vec4 fragColor;
 
void main(void) 
{
	vec2 texc = f_texcoord;
	texc.x += sin(texc.x * 6*2*3.14159 + offset) / 100;
	texc.x += sin(texc.y * 6*2*3.14159 + offset) / 100;
  	fragColor = texture2D(fbo_texture, texc);
}